<div class="all-in-one-table">
  <elastic-page-header [height]="'137px'" background="url(assets/img/demo/headers/pattern-3.png)" [reverse]="true">
  </elastic-page-header>
  <div class="container">
    <elastic-breadcrumbs [currentPage]="title" [header]="'primary'"></elastic-breadcrumbs>
  </div>
</div>
<elastic-list [name]="title" (keyup)="onFilterChange($event)" [placeholder]="'Buscar imei, qr o N°Bicicleta'">
  <div class="actions" fxFlexAlign="center">
      <mat-slide-toggle [formControl]="locksWithoutBikeState" (change)="locksWithoutBike()">
        <span>Candados sin bicicleta</span>
      </mat-slide-toggle>
    <!-- <div>
      <p class="inputText">Estado de la estación</p>
      <mat-slide-toggle [checked]="modalStationInfo.state" formControlName="state">
        <span *ngIf="formGroup.value.state">Activo</span>
        <span *ngIf="!formGroup.value.state">Inactivo</span>
      </mat-slide-toggle>
    </div> -->
    <button mat-raised-button color="primary" *ngIf="locksSearchParams && locksSearchParams.isSearching"
      (click)="showAll()" style="margin-left: 20px;">Mostrar todo</button>
    <button mat-raised-button color="primary" (click)="searchLocks()" style="margin-left: 20px;">Buscar</button>
  </div>
</elastic-list>
<elastic-data-table [columns]="locksColumns" [dataPage]="currentPageLocks" [loading]="loadingLockTable"
  [totalRecords]="totalLocks" [pageSize]="locksPageSize" (rowAction)="tableAction($event)"
  (changePage)="changePage($event)">
</elastic-data-table>